CHECK_RBL(7)

NAME
"check_rbl" - Check SMTP black- or white- listing status

DESCRIPTION
check_rbl is a Nagios plugin to check SMTP black- or white- listing status

VERSION
Version 1.7.0

SYNOPSIS
check_rbl -H hostname --server servername [options]

REQUIRED ARGUMENTS
  -H, --host=STRING    SMTP server to check. If hostname is given, it will be resolved to its IP first.
  -s, --server=STRING  RBL server (may be repeated)

OPTIONS
 -?, --usage
   Print usage information
 -h, --help
   Print detailed help screen
 -V, --version
   Print version information
 --extra-opts=[section][@file]
   Read options from an ini file. See https://www.monitoring-plugins.org/doc/extra-opts.html
   for usage and examples.
 -c, --critical=INTEGER
   Number of blacklisting servers for a critical warning
 -w, --warning=INTEGER
   Number of blacklisting servers for a warning
 -d, --debug
   Prints debugging information
 -U, --url=STRING
   URL to check. Will be ignored if host is set.
 -r, --retry=INTEGER
   Number of times to try a DNS query (default is 4)
 --workers=INTEGER
   Number of parallel checks
 --whitelistings, --wl
   Check whitelistings instead of blacklistings
 --query-timeout=INTEGER
   Timeout of the RBL queries
 -a, --append=STRING
   Append string at the end of the plugin output
 -n, --nameserver=STRING
   Use this nameserver IP as DNS resolver (only one server is supported)
 -t, --timeout=INTEGER
   Seconds before plugin times out (default: 15)
 -v, --verbose
   Show details for command-line debugging (can repeat up to 3 times)

EXAMPLE
  check_rbl -t 30 -H matteocorti.ch -s zen.spamhaus.org -s bl.spamcop.net

DIAGNOSTICS
You can specify multiple --verbose options to increase the program verbosity. --debug can be used to display the process and internals of the querying mechanism.

EXIT STATUS
0 if OK, 1 in case of a warning, 2 in case of a critical status and 3 in case of an unknown problem

DEPENDENCIES
check_updates depends on

•   Capture::Tiny

•   Data::Validate::Domain

•   Data::Validate::IP

•   Getopt::Long

•   IO::Select

•   Monitoring::Plugin

•   Monitoring::Plugin::Threshold

•   Net::DNS

•   Readonly

CONFIGURATION
Options can be specified in an ini file. See https://www.monitoring-plugins.org/doc/extra-opts.html

INCOMPATIBILITIES
None reported.

SEE ALSO
Nagios documentation

BUGS AND LIMITATIONS
No bugs have been reported.

Please report any bugs or feature requests through the web interface at https://github.com/matteocorti/check_rbl/issues

AUTHOR
Matteo Corti <matteo@corti.li> See AUTHORS for the complete list

LICENSE AND COPYRIGHT
Copyright (c) 2009-2022 Matteo Corti <matteo@corti.li>

Copyright (c) 2009 ETH Zurich.

Copyright (c) 2010 Elan Ruusamae <glen@delfi.ee>.

Copyright (c) 2022 Claudio Kuenzler <ck@claudiokuenzler.com>.

This module is free software; you can redistribute it and/or modify it under the terms of GNU general public license (gpl) version 3. See the LICENSE file for details.

DISCLAIMER OF WARRANTY
BECAUSE THIS SOFTWARE IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE SOFTWARE, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE SOFTWARE "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE IS WITH YOU. SHOULD THE SOFTWARE PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR, OR CORRECTION.

IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE SOFTWARE AS PERMITTED BY THE ABOVE LICENCE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE SOFTWARE (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE SOFTWARE TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

ACKNOWLEDGMENTS
Elan Ruusamäe for the improved parallel support and several fixes

Victor V Kudlak for parallel support

Jan Kantert for whitelistings support